%global debug_package %{nil}
%global mver 3.0

Name:           guile-opengl
Version:        0.2.0
Release:        %{autorelease}
Summary:        Guile OpenGL wrapper

License:        LGPL-3.0-or-lager
URL:            https://www.gnu.org/software/guile-opengl/
VCS:            git:https://git.savannah.gnu.org/git/guile-opengl.git
Source0:        https://ftp.gnu.org/gnu/guile-opengl/guile-opengl-0.2.0.tar.gz
Source1:        https://ftp.gnu.org/gnu/guile-opengl/guile-opengl-0.2.0.tar.gz.sig
# https://keyserver.ubuntu.com/pks/lookup?search=8CCBA7F552B9CBEAE1FB29158328C7470FF1D807&fingerprint=on&op=index
Source2:        8ccba7f552b9cbeae1fb29158328c7470ff1d807.asc

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:	freeglut-devel
BuildRequires:  gcc
BuildRequires:  guile30-devel
BuildRequires:	libGL-devel
BuildRequires:	libGLU-devel
BuildRequires:  make
BuildRequires:  texinfo

%description
GNU Guile-OpenGL is a library providing access to the OpenGL graphics API from
GNU Guile.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup


%build
autoreconf -vfi
%configure
%make_build


%install
%make_install
test -f %{buildroot}/%{_infodir}/dir && rm %{buildroot}/%{_infodir}/dir

%check
make check

%files
%license COPYING
%license COPYING.LESSER
%license LICENSE
%doc AUTHORS
%doc ChangeLog
%doc NEWS
%doc README
%{_infodir}/guile-opengl.info*
%dir %{_datadir}/guile
%dir %{_datadir}/guile/site
%dir %{_datadir}/guile/site/%{mver}/
%dir %{_datadir}/guile/site/%{mver}/gl
%{_datadir}/guile/site/%{mver}/gl.scm
%{_datadir}/guile/site/%{mver}/gl/*.scm
%dir %{_datadir}/guile/site/%{mver}/glu
%{_datadir}/guile/site/%{mver}/glu.scm
%{_datadir}/guile/site/%{mver}/glu/*.scm
%dir %{_datadir}/guile/site/%{mver}/glut
%{_datadir}/guile/site/%{mver}/glut.scm
%{_datadir}/guile/site/%{mver}/glut/*.scm
%dir %{_datadir}/guile/site/%{mver}/glx
%{_datadir}/guile/site/%{mver}/glx.scm
%{_datadir}/guile/site/%{mver}/glx/*.scm
%dir %{_datadir}/guile/site/%{mver}/gl/contrib
%{_datadir}/guile/site/%{mver}/gl/contrib/*.scm
%dir %{_libdir}/guile/%{mver}/site-ccache/gl/
%{_libdir}/guile/%{mver}/site-ccache/gl.go
%{_libdir}/guile/%{mver}/site-ccache/gl/*.go
%dir %{_libdir}/guile/%{mver}/site-ccache/glu/
%{_libdir}/guile/%{mver}/site-ccache/glu.go
%{_libdir}/guile/%{mver}/site-ccache/glu/*.go
%dir %{_libdir}/guile/%{mver}/site-ccache/glut/
%{_libdir}/guile/%{mver}/site-ccache/glut.go
%{_libdir}/guile/%{mver}/site-ccache/glut/*.go
%dir %{_libdir}/guile/%{mver}/site-ccache/glx/
%{_libdir}/guile/%{mver}/site-ccache/glx.go
%{_libdir}/guile/%{mver}/site-ccache/glx/*.go
%dir %{_libdir}/guile/%{mver}/site-ccache/gl/contrib
%{_libdir}/guile/%{mver}/site-ccache/gl/contrib/*.go

%changelog
%autochangelog 
